This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 495903 - Suspend/Resume slowdown all IO
Suspend/Resume slowdown all IO
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
10
All Linux
low Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-15 10:17 EDT by Alexey Kuznetsov
Modified: 2009-05-10 04:06 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-05-10 04:06:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
dmesg (55.80 KB, text/plain)
2009-04-15 10:17 EDT, Alexey Kuznetsov
no flags Details

  None (edit)
Description Alexey Kuznetsov 2009-04-15 10:17:48 EDT
Created attachment 339689 [details]
dmesg

Suspend/Resume procedure on my notebook (MSI GX620) slowdown all IO.

It affect hd input/output and usb transfer speed as mouse slowdown (mouse look like really busy or cpu realy busy).

I also tried to run glxgears and quake, everyting work ok, at normal speed.

[axet@axet-laptop ~]$ sudo hdparm -tT /dev/sda

/dev/sda:
 Timing cached reads:   3268 MB in  2.00 seconds = 1636.22 MB/sec
 Timing buffered disk reads:  170 MB in  3.00 seconds =  56.60 MB/sec
[axet@axet-laptop ~]$ 


after resume:

[axet@axet-laptop ~]$ sudo hdparm -tT /dev/sda

/dev/sda:
 Timing cached reads:   2044 MB in  2.00 seconds = 1022.71 MB/sec
 Timing buffered disk reads:    8 MB in  3.16 seconds =   2.53 MB/sec
[axet@axet-laptop ~]$

console output after resume:

[axet@axet-laptop ~]$ 
Message from syslogd@localhost at Apr 15 18:10:22 ...
 kernel:Disabling IRQ #19

Message from syslogd@localhost at Apr 15 18:10:22 ...
 kernel:Disabling IRQ #16

Message from syslogd@localhost at Apr 15 18:10:22 ...
 kernel:Disabling IRQ #19

Message from syslogd@localhost at Apr 15 18:10:23 ...
 kernel:Disabling IRQ #16
Comment 1 Alexey Kuznetsov 2009-04-15 10:18:24 EDT
kernel from update-testing:

2.6.29.1-30.fc10.i686.PAE
Comment 2 Alexey Kuznetsov 2009-05-10 04:06:40 EDT
after migrating to f11 problems gone, suspend/resume works fine.

2.6.29.2-126.fc11.i686.PAE

Note You need to log in before you can comment on or make changes to this bug.